Package org.eclipse.emf.cdo.util

## Class ServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.ServerException

- All Implemented Interfaces:
    `java.io.Serializable`

      @Deprecated
      public class ServerException
      extends CDOException

  Deprecated.
  Not used.
  An unchecked exception that indicates server-side problems.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerException()` | Deprecated.
    `ServerException​(java.lang.String message)` | Deprecated.
    `ServerException​(java.lang.String message, java.lang.Throwable cause)` | Deprecated.
    `ServerException​(java.lang.Throwable cause)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerException

          public ServerException()

      Deprecated.

    - #### ServerException

          public ServerException​(java.lang.String message)

      Deprecated.

    - #### ServerException

          public ServerException​(java.lang.String message,
                                 java.lang.Throwable cause)

      Deprecated.

    - #### ServerException

          public ServerException​(java.lang.Throwable cause)

      Deprecated.